Package: org.codehaus.groovy.control

## [Java] Class StaticImportVisitor

- org.codehaus.groovy.control.StaticImportVisitor

-     public class StaticImportVisitor
      extends ClassCodeExpressionTransformer

  Visitor to resolve constants and method calls from static imports.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticImportVisitor(ClassNode classNode, SourceUnit sourceUnit)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `public Expression` | `transform(Expression exp)`
    `` | `protected Expression` | `transformBinaryExpression(BinaryExpression be)`
    `` | `protected Expression` | `transformClosureExpression(ClosureExpression ce)`
    `` | `protected Expression` | `transformConstructorCallExpression(ConstructorCallExpression cce)`
    `` | `protected Expression` | `transformMethodCallExpression(MethodCallExpression mce)`
    `` | `protected Expression` | `transformPropertyExpression(PropertyExpression pe)`
    `` | `protected Expression` | `transformVariableExpression(VariableExpression ve)`
    `` | `public void` | `visitAnnotations(AnnotatedNode node)`
    `` | `public void` | `visitClass(ClassNode classNode, SourceUnit sourceUnit)` Call StaticImportVisitor(ClassNode,SourceUnit) then visitClass(ClassNode).
    `` | `protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeExpressionTransformer` | `setSourcePosition, transform, visitAnnotation, visitAssertStatement, visitCaseStatement, visitConstructorOrMethod, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitProperty, visitReturnStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitWhileLoop`
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Constructor Detail

    - #### public StaticImportVisitor(ClassNode classNode, SourceUnit sourceUnit)

  - ### Method Detail

    - #### @Override protected SourceUnit getSourceUnit()

    - #### @Override public Expression transform(Expression exp)

    - #### protected Expression transformBinaryExpression(BinaryExpression be)

    - #### protected Expression transformClosureExpression(ClosureExpression ce)

    - #### protected Expression transformConstructorCallExpression(ConstructorCallExpression cce)

    - #### protected Expression transformMethodCallExpression(MethodCallExpression mce)

    - #### protected Expression transformPropertyExpression(PropertyExpression pe)

    - #### protected Expression transformVariableExpression(VariableExpression ve)

    - #### @Override public void visitAnnotations(AnnotatedNode node)

    - #### @Deprecated public void visitClass(ClassNode classNode, SourceUnit sourceUnit)

      Call StaticImportVisitor(ClassNode,SourceUnit) then visitClass(ClassNode).

    - #### @Override protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)